cURL
curl --request POST \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/verify-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Grid-Environment: <x-grid-environment>' \
--data '
{
"auth_public_key": "<string>",
"expiration": 1,
"mpc_primary_id": "<string>",
"otp_code": "<string>",
"otp_id": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/verify-otp"
payload = {
"auth_public_key": "<string>",
"expiration": 1,
"mpc_primary_id": "<string>",
"otp_code": "<string>",
"otp_id": "<string>"
}
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Grid-Environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
auth_public_key: '<string>',
expiration: 1,
mpc_primary_id: '<string>',
otp_code: '<string>',
otp_id: '<string>'
})
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/verify-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential_bundle": "<string>",
"account_info": {
"mpc_primary_id": "<string>",
"grid_user_id": "<string>",
"smart_account_address": "<string>",
"smart_account_signer_public_key": "<string>",
"wallet_id": "<string>"
}
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Authorities
Verify OTP
POST
/
smart-accounts
/
verify-otp
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Body
application/json
Was this page helpful?
⌘I